package com.ampiere.web.struts.form;

import org.apache.struts.action.ActionForm;
import java.io.Serializable;
import org.apache.struts.action.ActionMapping;
import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;

/**
 * Chage Account.
 * @author Almas:SiqinBilige
 */
public class ChargeAccountForm extends ActionForm implements Serializable {

    /** Key Value. */
    private String keyValue;

    /** Key Name. */
    private String keyName;

    /** Expense. */
    private String expense;

    /** Key List. */
    private String [] keyList;

    /** Changed Column. */
    private String changedColumn;

    /** Main Window Title. */
    private String mainWindowTitle;

    /** Page Title. */
    private String pageTitle;

    /** Key Label. */
    private String keyLabel;

    /** Name Label. */
    private String nameLabel;

    /** Expense Label. */
    private String expenseLabel;

    /** AccountList. */
    private ArrayList accountList;

    /** Charge New Label. */
    private String chargeNewLabel;

    /** Charge From Label. */
    private String chargeFromLabel;

    /** Generate Label. */
    private String generateLabel;

    /** Result Information. */
    private String resultInfo;


    /**
     * Get Key Value.
     * @return Key Value
     */
    public final String getKeyValue() {
        return this.keyValue;
    }

    /**
     * Set Key Value.
     * @param keyValueP Key Value
     */
    public final void setKeyValue(final String keyValueP) {
        this.keyValue = keyValueP;
    }

    /**
     * Get Key Name.
     * @return Key Name
     */
    public final String getKeyName() {
        return this.keyName;
    }

    /**
     * Set Key Name.
     * @param keyNameP Key Name
     */
    public final void setKeyName(final String keyNameP) {
        this.keyName = keyNameP;
    }

    /**
     * Get Expense.
     * @return Expense
     */
    public final String getExpense() {
        return this.expense;
    }

    /**
     * Set Expense.
     * @param expenseP Expense
     */
    public final void setExpense(final String expenseP) {
        this.expense = expenseP;
    }

    /**
     * Get Key List.
     * @return Key List
     */
    public final String [] getKeyList() {
        return this.keyList;
    }

    /**
     * Set Key List.
     * @param keyListP Key List
     */
    public final void setKeyList(final String [] keyListP) {
        this.keyList = keyListP;
    }

    /**
     * Get Changed Column.
     * @return Changed Column
     */
    public final String getChangedColumn() {
        return this.changedColumn;
    }

    /**
     * Set Changed Column.
     * @param changedColumnP Changed Column
     */
    public final void setChangedColumn(final String changedColumnP) {
        this.changedColumn = changedColumnP;
    }

    /**
     * Get Main Window Title.
     * @return Main Window Title
     */
    public final String getMainWindowTitle() {
        return this.mainWindowTitle;
    }

    /**
     * Set Main Window Title.
     * @param mainWindowTitleP Main Window Title
     */
    public final void setMainWindowTitle(final String mainWindowTitleP) {
        this.mainWindowTitle = mainWindowTitleP;
    }

    /**
     * Get Page Title.
     * @return Page Title
     */
    public final String getPageTitle() {
        return this.pageTitle;
    }

    /**
     * Set Page Title.
     * @param pageTitleP Page Title
     */
    public final void setPageTitle(final String pageTitleP) {
        this.pageTitle = pageTitleP;
    }

    /**
     * Get Key Label.
     * @return Key Label
     */
    public final String getKeyLabel() {
        return this.keyLabel;
    }

    /**
     * Set Key Label.
     * @param keyLabelP Key Label
     */
    public final void setKeyLabel(final String keyLabelP) {
        this.keyLabel = keyLabelP;
    }

    /**
     * Get Name Label.
     * @return Name Label
     */
    public final String getNameLabel() {
        return this.nameLabel;
    }

    /**
     * Set Name Label.
     * @param NameLabelP Name Label
     */
    public final void setNameLabel(final String NameLabelP) {
        this.nameLabel = NameLabelP;
    }

    /**
     * Get Expense Label.
     * @return Expense Label
     */
    public final String getExpenseLabel() {
        return this.expenseLabel;
    }

    /**
     * Set Expense Label.
     * @param ExpenseLabelP Expense Label
     */
    public final void setExpenseLabel(final String ExpenseLabelP) {
        this.expenseLabel = ExpenseLabelP;
    }

    /**
     * Get AccountList.
     * @return AccountList
     */
    public final ArrayList getAccountList() {
        return this.accountList;
    }

    /**
     * Set AccountList.
     * @param AccountListP AccountList
     */
    public final void setAccountList(final ArrayList AccountListP) {
        this.accountList = AccountListP;
    }

    /**
     * Get Charge New Label.
     * @return Charge New Label
     */
    public final String getChargeNewLabel() {
        return this.chargeNewLabel;
    }

    /**
     * Set Charge New Label.
     * @param chargeNewLabelP Charge New Label
     */
    public final void setChargeNewLabel(final String chargeNewLabelP) {
        this.chargeNewLabel = chargeNewLabelP;
    }

    /**
     * Get Charge From Label.
     * @return Charge From Label
     */
    public final String getChargeFromLabel() {
        return this.chargeFromLabel;
    }

    /**
     * Set Charge From Label.
     * @param chargeFromLabelP Charge From Label
     */
    public final void setChargeFromLabel(final String chargeFromLabelP) {
        this.chargeFromLabel = chargeFromLabelP;
    }

    /**
     * Get Generate Label.
     * @return Generate Label
     */
    public final String getGenerateLabel() {
        return this.generateLabel;
    }

    /**
     * Set Generate Label.
     * @param generateLabelP Generate Label
     */
    public final void setGenerateLabel(final String generateLabelP) {
        this.generateLabel = generateLabelP;
    }

    /**
     * Get Result Information.
     * @return Result Information
     */
    public final String getResultInfo() {
        return this.resultInfo;
    }

    /**
     * Set Result Information.
     * @param resultInfoP Result Information
     */
    public final void setResultInfo(final String resultInfoP) {
        this.resultInfo = resultInfoP;
    }

    /**
     * Reset Method.
     * @param mapping mapping
     * @param request request
     */
    public final void reset(final ActionMapping mapping, final HttpServletRequest request) {
        //TODO Insert code here.
    }

}
